# LinearStringDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for LinearStringDrawer:
[legend]

List of all members.

## Public Member Functions

| draw ($string)

## Detailed Description

Definition at line 15 of file LinearStringDrawer.class.php.

## Member Function Documentation

LinearStringDrawer::draw | ( | $ | string | ) |

Returns:
  LinearStringDrawer

Reimplemented from TextDrawer.

Definition at line 20 of file LinearStringDrawer.class.php.

References TextDrawer::drawCraracter(), TextDrawer::getMaxCharacterHeight(), TextDrawer::getSpace(), TextDrawer::getStringWidth(), TextDrawer::getTextWidth(), Drawer::getTuringImage(), and TextDrawer::showError().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/LinearStringDrawer.class.php